package com.xugame.gameconsole.playcore;

import com.retroarch.browser.retroactivity.RetroActivityCommon;
import com.xugame.gameconsole.emulator.BaseRetroArchEmulator;

public class PlayCoreManager {

    private PlayCoreManager() {}

    private static PlayCoreManager instance;

    public static PlayCoreManager getInstance() {
        if (instance == null) {
            instance = new PlayCoreManager();
        }

        return instance;
    }

    public void onCreate(RetroActivityCommon newActivity) {}
    public void onDestroy() {}

    public String[] getInstalledModules() {
        return new String[0];
    }

    public void downloadCore(final String coreName) {}
    public void deleteCore(String coreName) {}
}
